Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_ConstTessMemberResultCallback_0_0< del, R, T > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _ConstTessMemberResultCallback_0_0< del, R, T >:

List of all members.

## Public Types

typedef TessResultCallback< R > | base
typedef R(T::* | MemberSignature )() const

## Public Member Functions

| _ConstTessMemberResultCallback_0_0 (const T *object, MemberSignature member)
virtual R | Run ()
Public Member Functions inherited from TessResultCallback< R >
virtual | ~TessResultCallback ()

## Detailed Description

### template<bool del, class R, class T>
class _ConstTessMemberResultCallback_0_0< del, R, T >

Definition at line 43 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class R, class T>

typedef TessResultCallback<R> _ConstTessMemberResultCallback_0_0< del, R, T >::base

Definition at line 45 of file tesscallback.h.

template<bool del, class R, class T>

typedef R(T::* _ConstTessMemberResultCallback_0_0< del, R, T >::MemberSignature)() const

Definition at line 46 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class R, class T>

_ConstTessMemberResultCallback_0_0< del, R, T >::_ConstTessMemberResultCallback_0_0 | ( | const T * | object,
|  | MemberSignature | member
| ) |  |

inline

Definition at line 53 of file tesscallback.h.

: object_(object),
member_(member) {
}

## Member Function Documentation

template<bool del, class R, class T>

virtual R _ConstTessMemberResultCallback_0_0< del, R, T >::Run | ( |  | ) |

inlinevirtual

Implements TessResultCallback< R >.

Definition at line 59 of file tesscallback.h.

{
if (!del) {
R result = (object_->*member_)();
return result;
} else {
R result = (object_->*member_)();
// zero out the pointer to ensure segfault if used again
member_ = NULL;
delete this;
return result;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h